Subject: bug#28111: qemu testsuite fails

From: [email-masked] (Ludovic Courtès)
Date: Thu, 18 Jan 2018 18:03:33 +0100

Mathieu Lirzin <[email-masked]> skribis:

> Mathieu Lirzin <[email-masked]> writes:
>
>> [email-masked] (Ludovic Courtès) writes:
>>
>>> Mathieu Lirzin <[email-masked]> skribis:
>>>
>>>> My previous snippet didn't include the actual error
>>>>
>>>> TEST: tests/test-hmp... (pid=27743)
>>>>   /arm/hmp/integratorcp:                                               OK
>>>>   /arm/hmp/nuri:                                                       qemu-system-arm: cannot set up guest memory 'exynos4210.dram0': Cannot allocate memory
>>>> Broken pipe
>>>> FAIL
>>>> GTester: last random seed: R02S53adf2b44f1ff46cb48bd55ebce8854c
>>>> (pid=27751)
>>>>   /arm/hmp/mps2-an511:                                                 OK
>>>>   /arm/hmp/verdex:                                                     OK
>>>>   /arm/hmp/ast2500-evb:                                                OK
>>>>   /arm/hmp/smdkc210:                                                   qemu-system-arm: cannot set up guest memory 'exynos4210.dram0': Cannot allocate memory
>>>> Broken pipe
>>>> FAIL
>>>>
>>>> I have tried to build QEMU again with the same guix version and succeed.
>>>> So Like previously reported this is underterministic.
>>>
>>> Could the initial error be the result of insufficient memory?
>>
>> Maybe.  I don't recall if I was doing something memory intensive while
>> compiling.  Given that I have 8Gb of RAM and that, QEMU test suite seems
>> quite greedy.
>
> Ohh I think the memory issue might be related to the fact I running the
> commands from Emacs shell-mode.  I have encoutered a memory issue with
> Emacs when running ‘guix system build’.  After the compilation process
> stopped Emacs was still using more than 5Gb of RAM.

Oh yes, that could definitely be the culprit.  :-/

I guess we can close this bug and reopen it if this diagnosis turned out
to be wrong.

Ludo’.